ServerEvents.recipes(event => {
    //Advanced Crucible
    event.custom({
        "type": "aether:enchanting",
        "category": "enchanting_misc",
        "cookingtime": 250,
        "experience": 0.15,
        "ingredient": {
          "item": "eidolon:crucible"
        },
		"result": { 
            "item": "mbd2:advanced_crucible"
		}
    }).id('impostor:advanced_crucible')

    //Blood Drainer
    event.shaped({"item": "mbd2:blood_drainer"},
    ['DDD', 'DAD', 'DBD'], {
        D: 'evilcraft:dark_power_gem_block',
        A: 'minecraft:beacon',
        B: 'evilcraft:spiked_plate'
    }).id('impostor:blood_drainer')
  
    //Spiritfire Machine
    event.custom ({
        "type": "bloodmagic:altar",
        "input": {
          "item": "occultism:golden_sacrificial_bowl"
        },
        "output": {
            item: "mbd2:spiritfire"
        },
        "upgradeLevel": 4,
        "altarSyphon": 250000,
        "consumptionRate": 30,
        "drainRate": 50
    }).id('impostor:bloodaltar/spiritfire')

    //Improved Blast Furnace Controller
    event.shaped({"item": "mbd2:improved_blast_furnace"},
    ['121', '232', '121'], {
        1: '#forge:sheetmetals/steel',
        2: 'immersiveengineering:blastbrick_reinforced',
        3: 'immersiveengineering:electron_tube'
    }).id('impostor:improved_blast_furnace')

    //Improved Blast Furnace Heating Element
    event.shaped({"item": "mbd2:blast_burner"},
    ['121', '2 2', '121'], {
        1: '#forge:sheetmetals/steel',
        2: 'immersiveengineering:blastbrick_reinforced'
    }).id('impostor:blast_burner')
})